import * as lastVersionService from '../../services/PF/lastVersion';
export default {

    namespace:'lastVersion',

    state: {

    },
  
    subscriptions: {
      setup({ dispatch, history }) {  // eslint-disable-line
      },
    },
  
    effects: {
        *getLastVersion ({ payload, onComplete }, { call, put }) {
            const ret = yield call(lastVersionService.getLastVersion, payload);
            if (typeof onComplete === 'function') {
              onComplete(ret)
            }
          },
  
    },
    reducers: {
        save(state, action) {
          return { ...state, ...action.payload };
        }
      },
};